Package com.io7m.waxmill.machines

# Interface WXMBootConfigurationType.WXMGRUBKernelLinuxType

All Superinterfaces:
  `WXMBootConfigurationType.WXMGRUBKernelInstructionsType`

All Known Implementing Classes:
  `WXMGRUBKernelLinux`

Enclosing interface:
  WXMBootConfigurationType

    @Immutable
    public static interface WXMBootConfigurationType.WXMGRUBKernelLinuxType
    extends WXMBootConfigurationType.WXMGRUBKernelInstructionsType

Linux kernel instructions.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.waxmill.machines.WXMBootConfigurationType.WXMGRUBKernelInstructionsType

  `WXMBootConfigurationType.WXMGRUBKernelInstructionsType.Kind`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `default void` | `checkPreconditions()` | Check preconditions for the type.
  `WXMDeviceSlot` | `initRDDevice()` |
  `java.nio.file.Path` | `initRDPath()` |
  `java.util.List<java.lang.String>` | `kernelArguments()` |
  `WXMDeviceSlot` | `kernelDevice()` |
  `java.nio.file.Path` | `kernelPath()` |
  `default WXMBootConfigurationType.WXMGRUBKernelInstructionsType.Kind` | `kind()` |
  `default java.util.Set<WXMDeviceSlot>` | `requiredDevices()` |

- ## Method Details

  - ### kind

    default WXMBootConfigurationType.WXMGRUBKernelInstructionsType.Kind kind()
    Specified by:
      `kind` in interface `WXMBootConfigurationType.WXMGRUBKernelInstructionsType`
    Returns:
      The kind of underlying kernel

  - ### kernelDevice

    WXMDeviceSlot kernelDevice()
    Returns:
      The device that contains the kernel

  - ### kernelPath

    java.nio.file.Path kernelPath()
    Returns:
      The path to the kernel on the guest filesystem

  - ### kernelArguments

    java.util.List<java.lang.String> kernelArguments()
    Returns:
      The arguments for the kernel

  - ### initRDDevice

    WXMDeviceSlot initRDDevice()
    Returns:
      The device that contains the initial ramdisk

  - ### initRDPath

    java.nio.file.Path initRDPath()
    Returns:
      The path to the initial ramdisk on the guest filesystem

  - ### requiredDevices

    default java.util.Set<WXMDeviceSlot> requiredDevices()
    Specified by:
      `requiredDevices` in interface `WXMBootConfigurationType.WXMGRUBKernelInstructionsType`
    Returns:
      The slots required to have assigned storage

  - ### checkPreconditions

    @Check default void checkPreconditions()
    Check preconditions for the type.